Bug 1799506 - hdfview: FTBFS in Fedora rawhide/f32
Summary: hdfview: FTBFS in Fedora rawhide/f32
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: hdfview
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 18:20 UTC by Fedora Release Engineering
Modified: 2021-04-29 16:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
build.log (1.33 KB, text/plain)
2020-02-06 18:20 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 18:20 UTC, Fedora Release Engineering
no flags Details
state.log (825 bytes, text/plain)
2020-02-06 18:20 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1797361 0 unspecified CLOSED Version 3.1.0 is available 2021-05-07 19:34:46 UTC

Description Fedora Release Engineering 2020-02-06 18:20:16 UTC
hdfview failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41318168


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix hdfview at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hdfview will be orphaned. Before branching of Fedora 33,
hdfview will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 18:20:18 UTC
Created attachment 1659274 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 18:20:20 UTC
Created attachment 1659275 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 18:20:22 UTC
Created attachment 1659276 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:05:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:34:15 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Ankur Sinha (FranciscoD) 2020-02-16 13:58:12 UTC
The neuro-sig is working on these bugs.

Comment 7 Ankur Sinha (FranciscoD) 2020-02-16 19:25:59 UTC
Unfortunately, the thredds package that provided netcdf-java has been retired. The netcdf-java source, however, is no longer distributed in thredds, and will need to be packaged separately:

https://github.com/Unidata/netcdf-java/releases

Unfortunately, netcdf-java uses gradle to build, but gradle has also been orphaned. So this is no longer a trivial task :/


Discussion about packaging Gradle:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RUMUORRTAGTYXUZXZYS23562Q55EHXDM/#57RTE4UGO7LUI7RY7QFKENP7HRUNLZZU

Discussion about converting Gradle projects to Maven:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3AIHH4LSUQ7RHC5O7UUXLXDQG6X3JXZS/

Cheers,
Ankur

Comment 8 Fedora Program Management 2021-04-29 16:04:58 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.